Skip to content

Get Corridor Rate (via Corridor)

GET
/v2/send/corridors/{corridorId}/rate

Get current exchange rate for a corridor by corridor ID. Returns rate information along with corridor context.

corridorId
required
string format: uuid

Corridor ID

Example
82c4fce1-d2c7-48cb-a647-6993dbe37819

Current exchange rate for the corridor with corridor context

object
corridorId
required

Corridor ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
corridorName
required

Corridor name

string
USDC/PAK
stablecoinToFiatRate
required

Stablecoin to intermediate fiat rate (e.g., USDC/USD) with 6 decimals of precision

string
1000000
fiatToFiatRate
required

Intermediate fiat to destination fiat rate (e.g., USD/PKR) with 6 decimals of precision

string
27850000
finalRate
required

Combined exchange rate (final USDC to destination fiat rate) with 6 decimals of precision

string
27850000
calculatedAt
required

When this rate was calculated

string format: date-time
expiresAt
required

When this rate expires

string format: date-time

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error